@echo off
set dark_executable=dark.exe
set steam=khonsu_shipping_steam_x64.exe
set gog=khonsu_shipping_galaxy_x64.exe

if not exist "%dark_executable%" (
    if exist "%steam%" (
        copy "%steam%" "%dark_executable%"
    ) else if exist "%gog%" (
        copy "%gog%" "%dark_executable%"
    ) else (
        echo "Cannot find Dark Forces executable!"
        pause
        exit
    )
)

if exist spdock.tmp ren spdock.tmp dfbrief.lfd
DARK -uspdock.gob
ren dfbrief.lfd spdock.tmp 
exit
